
#scroller-catalog {
    overflow-anchor: none;      
    height: var(--virtual-scroller-height);
    flex: 1;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch; 
    position: absolute; 
    width: 100%;  
    padding: 0;
    margin: 0; 
    overscroll-behavior: none; 
    scroll-padding-bottom: 200px;
    contain: strict;
}
.product-card  { 
   
    min-height: 200px;
    overflow: hidden;    
    padding: 5px;    
    position: relative;
    display: flex; 
    flex-direction: column; 
    min-width: 0;  
    contain: paint;
    
}

.product-card-inner {
    width: 100%;
    height: 100%;
    background: var(--card-bg);
    border-radius: var(--border-radius);
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    padding: 10px;    
    display: flex;
    flex-direction: column;
    min-width: 0;
}


.cat-image-wrapper {
  width: auto;
  height: 60%;
  aspect-ratio: 1 / 1; 
  overflow: hidden;
  border-radius: var(--border-radius);
  margin-bottom: 1%; 
}

.cat-image-wrapper img {
    width: 100%;
    height: 100%;    
    object-fit: cover;       
    object-position: center; 
    /* transition: filter 200ms ease, opacity 200ms ease; */
   
}



.subtitle { 
    font-size: 14px; 
    color: var(--hint); 
    margin-bottom: 10px; 
}

.row { 
    display: flex; 
    justify-content: space-between; 
    align-items: center; 
}

.price { 
    font-size: clamp(14px, 1rem, 16px); 
    font-weight: var(--title-font-weight); ; 
}

.added-badge { 
    position: absolute; 
    flex-direction: column;
    align-items: center;      
    justify-content: center;  
    white-space: pre-line;    
    text-align: center;       
    white-space: pre-line;
    top: 10px; 
    right: 10px; 
    background: #98d8a7; 
    color: rgb(0, 0, 0); 
    padding: 4px 8px; 
    border-radius: 12px; 
    font-size: 12px; 
    display: none; 
    box-shadow: 0 5px 8px rgba(153, 80, 31, 0.15); 
}

.product-options {     
    display: flex; 
    flex-direction: row; 
    gap: 6px; 
    margin-bottom: 8px; 
}

.product-options input { 
    width: 40%; 
    padding: 5px; 
    border-radius: 5px; 
    border: 1px solid #ccc; 
    font-size: 12px; 
}

.product-options select { 
    width: 100%; 
    padding: 5px; 
    border-radius: 5px; 
    border: 1px solid #ccc; 
    font-size: 12px; 
}
#spacer{
  width: 100%;
  padding: 0;
  margin: 0;   
  position: relative;
}

#viewport{
  display: grid;
  grid-template-columns: repeat(2, 1fr);   
  width: 100%;
  padding: 0;
  top: 0;  
  position: relative;     
} 

#translate-catalog {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  will-change: transform;
  transform: translateY(0);
}

.tags-container {
  display: flex;
  position: relative;
  overflow-x: auto;
  /* height: 20px; */
  gap: 10px;
  padding: 6px 0;
  -webkit-overflow-scrolling: touch; 
  scrollbar-width: none; 
}
.tags-container::-webkit-scrollbar {
  display: none; 
}

.tag-card {                        
  flex: 0 0 auto; 
  padding: 5px 10px;
  background: var(--card-bg);
  box-shadow: 0 2px 8px rgba(0,0,0,0.15);
  border-radius: 8px;
  white-space: nowrap;
  font-size: 0.9em;
  cursor: pointer;
  transition: background 0.2s;
}
.tag-card.active {
  background: var(--highlight-bg);
  color: var(--highlight-color);
}



  